New Chargeflow docs. Everything for merchants, platforms, and the API in one place.
Log in
Current (2025-04-01)Platforms (Connect) APIEvidence

Get Evidence by ID

Retrieve a single evidence file details with the option to expand it with enriched dispute data using the expand request parameter.

GET
/public/2025-04-01/evidence/{evidenceId}
x-api-key<token>

Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.

In: header

Path Parameters

evidenceId*string

The unique Chargeflow object identifier of the dispute.

Match^[0-9a-fA-F]{24}$

Query Parameters

expand?array<>

Available Expansions

Use the expand parameter to include additional dispute resource details in the response.

Available options:

ParameterDescription
disputeInclude the top-level dispute data in the response
dispute.transactionFull payment transaction details including amount, currency, payment method and more
dispute.orderComplete order details including products, shipping, and fulfillment and more
dispute.subscriptionComplete subscription details including plan, frequency, cancellation reason and more
dispute.activity_logsComplete activity logs details including user events and interactions

Response Body

application/json

curl -X GET "https://example.com/public/2025-04-01/evidence/ev_abc123456789"
{  "id": "ev_abc123456789",  "account_id": "66e6ea9ecd94925a9f8060d9",  "ext_account_id": "ext_acct_54321",  "dispute": "66e6ea9ecd94925a9f8060d9",  "created_at": "2025-07-29T14:35:00Z",  "status": "in_progress",  "file_url": "https://cdn.chargeflow.io/evidence/ev_abc123456789/v2/evidence.pdf",  "file_version": 1}
Was this page helpful?